Bug 209246 - multimedia/qmmp-plugin-pack: Update to 0.9.4
Summary: multimedia/qmmp-plugin-pack: Update to 0.9.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: patch-ready
Depends on: 209245
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-03 18:51 UTC by Olivier Duchateau
Modified: 2016-05-09 17:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (liangtai.s16)


Attachments
Patch to update multimedia/qmmp-plugin-pack (1.66 KB, patch)
2016-05-03 18:51 UTC, Olivier Duchateau
no flags Details | Diff
Poudriere log on FreeBSD amd64 9.3 (84.77 KB, text/x-log)
2016-05-03 18:54 UTC, Olivier Duchateau
no flags Details
Use linguisttools, not linguist (2.06 KB, patch)
2016-05-09 09:56 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2016-05-03 18:51:20 UTC
Created attachment 169940 [details]
Patch to update multimedia/qmmp-plugin-pack
Comment 1 Olivier Duchateau freebsd_committer 2016-05-03 18:53:53 UTC
Forgive to mention:

- Update to 0.9.4
- Replace CFLAGS, and LDFLAGS by USES= localbase
- Add taglib as dependency (requires also by MPG123 option)
Comment 2 Olivier Duchateau freebsd_committer 2016-05-03 18:54:22 UTC
Created attachment 169941 [details]
Poudriere log on FreeBSD amd64 9.3
Comment 3 SimaMoto,RyōTa 2016-05-07 15:06:47 UTC
Comment on attachment 169940 [details]
Patch to update multimedia/qmmp-plugin-pack

>Index: Makefile
>===================================================================
>--- Makefile	(revision 414547)
>+++ Makefile	(working copy)
>@@ -1,7 +1,7 @@
> # $FreeBSD$
> 
> PORTNAME=	qmmp-plugin-pack
>-PORTVERSION=	0.9.3
>+PORTVERSION=	0.9.4
> CATEGORIES=	multimedia
> MASTER_SITES=	http://qmmp.ylsoftware.com/files/plugins/ \
> 	SF/qmmp-dev/${PORTNAME}/
>@@ -16,7 +16,7 @@
> LIB_DEPENDS=	libqmmpui.so:multimedia/qmmp
> BUILD_DEPENDS=	qmmp>=0.9.0:multimedia/qmmp
> 
>-USES=		cmake:outsource pkgconfig tar:bzip2
>+USES=		cmake:outsource localbase pkgconfig tar:bzip2
> USE_QT4=	corelib gui qmake_build rcc_build moc_build linguist_build
> USE_LDCONFIG=	yes
> 
>@@ -40,7 +40,8 @@
> FFAPASM_CMAKE_ON=	-DUSE_ASM:BOOL=TRUE
> FFAPASM_CMAKE_OFF=	-DUSE_ASM:BOOL=FALSE
> 
>-MPG123_LIB_DEPENDS=	libmpg123.so:audio/mpg123
>+MPG123_LIB_DEPENDS=	libmpg123.so:audio/mpg123 \
>+			libtag.so:audio/taglib
> MPG123_USE=	QT4=uic_build
> MPG123_CMAKE_ON=	-DUSE_MPG123:BOOL=TRUE
> MPG123_CMAKE_OFF=	-DUSE_MPG123:BOOL=FALSE
>@@ -51,8 +52,6 @@
> XMP_CMAKE_OFF=	-DUSE_XMP:BOOL=FALSE
> 
> CMAKE_ARGS+=	-DCMAKE_REQUIRED_INCLUDES:PATH=${LOCALBASE}/include
>-CFLAGS+=	-I${LOCALBASE}/include
>-LDFLAGS+=	-L${LOCALBASE}/lib
> 
> pre-configure:
> 	@${RM} -f ${BUILD_WRKSRC}/CMakeCache.txt
>Index: distinfo
>===================================================================
>--- distinfo	(revision 414547)
>+++ distinfo	(working copy)
>@@ -1,2 +1,2 @@
>-SHA256 (qmmp-plugin-pack-0.9.3.tar.bz2) = 4c65cf6b917574858248b81f7c357b128af21908e7a437f1e1cb89f1501020ec
>-SIZE (qmmp-plugin-pack-0.9.3.tar.bz2) = 76668
>+SHA256 (qmmp-plugin-pack-0.9.4.tar.bz2) = b817b766854d6ac641d875b8f8f901356f942e7b5d982c16a31a3d4771d43527
>+SIZE (qmmp-plugin-pack-0.9.4.tar.bz2) = 78007
Comment 4 SimaMoto,RyōTa 2016-05-09 07:47:00 UTC
Comment on attachment 169940 [details]
Patch to update multimedia/qmmp-plugin-pack

>Index: Makefile
>===================================================================
>--- Makefile	(revision 414547)
>+++ Makefile	(working copy)
>@@ -1,7 +1,7 @@
> # $FreeBSD$
> 
> PORTNAME=	qmmp-plugin-pack
>-PORTVERSION=	0.9.3
>+PORTVERSION=	0.9.4
> CATEGORIES=	multimedia
> MASTER_SITES=	http://qmmp.ylsoftware.com/files/plugins/ \
> 	SF/qmmp-dev/${PORTNAME}/
>@@ -16,7 +16,7 @@
> LIB_DEPENDS=	libqmmpui.so:multimedia/qmmp
> BUILD_DEPENDS=	qmmp>=0.9.0:multimedia/qmmp
> 
>-USES=		cmake:outsource pkgconfig tar:bzip2
>+USES=		cmake:outsource localbase pkgconfig tar:bzip2
> USE_QT4=	corelib gui qmake_build rcc_build moc_build linguist_build
> USE_LDCONFIG=	yes
> 
>@@ -40,7 +40,8 @@
> FFAPASM_CMAKE_ON=	-DUSE_ASM:BOOL=TRUE
> FFAPASM_CMAKE_OFF=	-DUSE_ASM:BOOL=FALSE
> 
>-MPG123_LIB_DEPENDS=	libmpg123.so:audio/mpg123
>+MPG123_LIB_DEPENDS=	libmpg123.so:audio/mpg123 \
>+			libtag.so:audio/taglib
> MPG123_USE=	QT4=uic_build
> MPG123_CMAKE_ON=	-DUSE_MPG123:BOOL=TRUE
> MPG123_CMAKE_OFF=	-DUSE_MPG123:BOOL=FALSE
>@@ -51,8 +52,6 @@
> XMP_CMAKE_OFF=	-DUSE_XMP:BOOL=FALSE
> 
> CMAKE_ARGS+=	-DCMAKE_REQUIRED_INCLUDES:PATH=${LOCALBASE}/include
>-CFLAGS+=	-I${LOCALBASE}/include
>-LDFLAGS+=	-L${LOCALBASE}/lib
> 
> pre-configure:
> 	@${RM} -f ${BUILD_WRKSRC}/CMakeCache.txt
>Index: distinfo
>===================================================================
>--- distinfo	(revision 414547)
>+++ distinfo	(working copy)
>@@ -1,2 +1,2 @@
>-SHA256 (qmmp-plugin-pack-0.9.3.tar.bz2) = 4c65cf6b917574858248b81f7c357b128af21908e7a437f1e1cb89f1501020ec
>-SIZE (qmmp-plugin-pack-0.9.3.tar.bz2) = 76668
>+SHA256 (qmmp-plugin-pack-0.9.4.tar.bz2) = b817b766854d6ac641d875b8f8f901356f942e7b5d982c16a31a3d4771d43527
>+SIZE (qmmp-plugin-pack-0.9.4.tar.bz2) = 78007
Comment 5 SimaMoto,RyōTa 2016-05-09 09:56:17 UTC
Created attachment 170137 [details]
Use linguisttools, not linguist

I appreciate your plan to use USES+=localbase and add explicit dependency on taglib.
Comment 6 commit-hook freebsd_committer 2016-05-09 17:19:27 UTC
A commit references this bug:

Author: olivierd
Date: Mon May  9 17:18:47 UTC 2016
New revision: 414870
URL: https://svnweb.freebsd.org/changeset/ports/414870

Log:
  - Update to 0.9.4 [2]
  - Replace CFLAGS, and LDFLAGS by USES= localbase [2]
  - Adjust dependencies [1]

  PR:		209246
  Submitted by:	<liangtai.s16@gmail.com> (maintainer) [1], myself [2]

Changes:
  head/multimedia/qmmp-plugin-pack/Makefile
  head/multimedia/qmmp-plugin-pack/distinfo
Comment 7 Olivier Duchateau freebsd_committer 2016-05-09 17:20:17 UTC
Committed